org.wso2.carbon.dataservices.sql.driver.util

## Class WorkBookOutputWriter

- java.lang.Object
- - java.lang.Thread
  - - org.wso2.carbon.dataservices.sql.driver.util.WorkBookOutputWriter

- All Implemented Interfaces:
    Runnable

      public class WorkBookOutputWriter
      extends Thread

  This is the helper class when we need to write workbook data to registry, Registry needs input stream with the data, so this class will write to a output stream which will be read by registry at the end.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkBookOutputWriter(org.apache.poi.ss.usermodel.Workbook workbook, OutputStream outputStream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkBookOutputWriter

          public WorkBookOutputWriter(org.apache.poi.ss.usermodel.Workbook workbook,
                                      OutputStream outputStream)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

Copyright © 2019 WSO2. All rights reserved.